Loading...
Searching...
No Matches
L4::Kobject_typeid< void > Struct Reference

Minimalistic ID for void interface. More...

`#include <__typeinfo.h>`

Inheritance diagram for L4::Kobject_typeid< void >:
Collaboration diagram for L4::Kobject_typeid< void >:

## Static Public Member Functions

static Type_info const * | id () noexcept
| Get a pointer to teh Kobject type information of T.
static Type_info::Demand | demand () noexcept
| Get the receive-buffer demand for the server providing the interface T.
static int | proto_dispatch (THIS *self, long proto, A1 a1, A2 &a2)
| Protocol based server-side dispatch function.

## Detailed Description

Minimalistic ID for void interface.

Definition at line 667 of file __typeinfo.h.

## Member Function Documentation

## demand()

Type_info::Demand L4::Kobject_typeid< void >::demand | ( |  | ) |

inlinestaticnoexcept

Get the receive-buffer demand for the server providing the interface T.

Returns
  A demand value describing the minimum receive buffers needed for handling server side requests for interface T.

Definition at line 639 of file __typeinfo.h.

## id()

Type_info const * L4::Kobject_typeid< void >::id | ( |  | ) |

inlinestaticnoexcept

Get a pointer to teh Kobject type information of T.

Returns
  a pointer to the Kobject typeinfor of T.

Definition at line 630 of file __typeinfo.h.

## proto_dispatch()

int L4::Kobject_typeid< void >::proto_dispatch | ( | THIS * | self,
|  | long | proto,
|  | A1 | a1,
|  | A2 & | a2 )

inlinestatic

Protocol based server-side dispatch function.

Template Parameters

  THIS | Data type of the server-side object implementing the interface T.
  A1 | Data type of second argument for p_dispatch()
  A2 | Data type of third argument for p_dispatch()

Parameters

  self | The pointer to the server object
  proto | The protocol number used by the caller
  a1 | The second argument passed to self->p_dispatch()
  a2 | The third argument passed to self->p_dispatch()

This function forwards the call to the overloaded p_dispatch() function of self. The data type of the first argument for p_dispatch is determined by the given protocol number.

Definition at line 660 of file __typeinfo.h.

The documentation for this struct was generated from the following file:

- l4/sys/__typeinfo.h